#!/bin/bash

export ECASOUND=ecasound

skip_wave_processing=ture

if [$skip_wave_processing != "true"]; then

# Przechodzenie przez wszystkie pliki w bieżącym katalogu
for plik in *.wav; do
	plik_bez_ext=${plik%.*}
	echo "plik wejściowy: $plik"
	echo "plik wyjściowy: $plik_bez_ext"

	./a8cas-util.pl conv -t turbo2000 "$plik" "hex/$plik_bez_ext.hex"
done

rm *.log
rm *.opt

fi

for pliki in hex/*.hex; do
	plik=$(basename "$pliki")
	plik_bez_ext=${plik%.hex}
	echo "plik wejściowy: $plik"
	echo "plik wyjściowy: $plik_bez_ext"

	./a8cas-util.pl conv "hex/$plik" "cas/$plik_bez_ext.cas"
done

for pliki in hex/*.hex; do
	plik=$(basename "$pliki")
	plik_bez_ext=${plik%.hex}
	echo "plik wejściowy: $plik"
	echo "plik wyjściowy: $plik_bez_ext"

	./extract_t2k.py "hex/$plik"
done




